###DOmake.uw.summary.page.plots - creates 24hr profile ps plot file of U/W data
##
## smsmith 09Apr96 mlvl62 - based on DOmake.imet.page.plot
##
## Modified: R.L.Moe    Jan97 Correct name of Web Directory.
#
# Assumes environmental variables CRUISE, DIRUWDATA and BINDIR are set.

if ($#argv != 1) then
   echo "usage: DOmake.uw.summary.page.plot   <date.ext>"
   echo " (produces postscript file named summary.data.<date.ext>.ps)"
   exit
endif

### WEB PAGE-source cruise leg & define web dir
source /scgscg/files/CRUISE.LEG
# set WEB_DIR=/WEB_SITE/LEGS_database/CURRENT/$CRUISE/DAILY_PROFILES/UW
set WEB_DIR=/Web_Site/LEGS_database/CURRENT/$CRUISE/DAILY_PROFILES/UW


set DATE = $1

cd $DIRUWDATA/UWPROF

echo "Making u/w vs time daily profile ...\
"
$BINDIR/run_summary.data  $DATE

$BINDIR/plot_summary.data $DATE

# print hardcopy
lp -s summary.data.$DATE.ps

## WEB PAGE-convert ps file to gif and place in web dir
cp summary.data.$DATE.ps uwsum.ps
alchemy uwsum.ps uwsum.gif -g -Zc1 -Zd 100 100 >& /dev/null
cp uwsum.gif $WEB_DIR/summary.data.$DATE.gif
/usr/bin/rm uwsum.{ps,gif}

/bin/rm -f summary.data.$DATE
#end
